Debian Bug report logs - #485975
RFP: qooxdoo -- Ajax application framework

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Niko Tyni <ntyni@debian.org>

Date: Thu, 12 Jun 2008 18:45:06 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>, <wnpp@debian.org>:
Bug#485975; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: qooxdoo -- Ajax application framework
Date: Thu, 12 Jun 2008 21:44:55 +0300
Package: wnpp
Severity: wishlist

* Package name    : qooxdoo
  Version         : 0.7.3
  Upstream Author : 1&1 Internet AG
* URL             : http://www.qooxdoo.org/
* License         : dual LGPL / EPL (Eclipse Public License)
  Programming Lang: JavaScript
  Description     : Ajax application framework

Leveraging object-oriented JavaScript, qooxdoo allows developers to
build cross-browser applications. No HTML, CSS nor DOM knowledge is
needed. qooxdoo includes a platform-independent development tool chain,
a GUI toolkit and an advanced client-server communication layer.


The latest upstream version (2.4.0) of the smokeping package contains
generated files that need qooxdoo for rebuilding. While the generated
files are free, shipping them in Debian without being able to build them
from their preferred form of source with tools in Debian seems like a
violation of our Social Contract.

I'd be glad if somebody with more JavaScript clue than me could package
this. Cc'ing the Debian Javascript Maintainers as the most likely
candidate.
-- 
Niko Tyni   ntyni@debian.org




Blocking bugs of 485977 added: 485975 Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Thu, 12 Jun 2008 19:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#485975; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #12 received at 485975@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Niko Tyni <ntyni@debian.org>, 485975@bugs.debian.org
Subject: Re: [Pkg-javascript-devel] Bug#485975: RFP: qooxdoo -- Ajax application framework
Date: Thu, 12 Jun 2008 22:04:57 +0200
retitle 485975 ITP: qooxdoo -- Ajax application framework
owner 485975 pkg-javascript-devel@lists.alioth.debian.org
thanks

Niko Tyni wrote:
> I'd be glad if somebody with more JavaScript clue than me could package
> this. Cc'ing the Debian Javascript Maintainers as the most likely
> candidate.

i'll look at it, thanks for bringing it to attention.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Changed Bug title to `ITP: qooxdoo -- Ajax application framework' from `RFP: qooxdoo -- Ajax application framework'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 12 Jun 2008 20:09:04 GMT) Full text and rfc822 format available.

Owner recorded as pkg-javascript-devel@lists.alioth.debian.org. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 12 Jun 2008 20:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-javascript-devel@lists.alioth.debian.org:
Bug#485975; Package wnpp. (Mon, 16 Feb 2009 20:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-javascript-devel@lists.alioth.debian.org. (Mon, 16 Feb 2009 20:27:05 GMT) Full text and rfc822 format available.

Message #21 received at 485975@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: pkg-javascript-devel@lists.alioth.debian.org
Cc: 485975@bugs.debian.org
Subject: Re: Bug#485975: RFP: qooxdoo -- Ajax application framework
Date: Mon, 16 Feb 2009 22:25:32 +0200
On Thu, Jun 12, 2008 at 10:04:57PM +0200, Daniel Baumann wrote:
> retitle 485975 ITP: qooxdoo -- Ajax application framework
> owner 485975 pkg-javascript-devel@lists.alioth.debian.org
> thanks
> 
> Niko Tyni wrote:
> > I'd be glad if somebody with more JavaScript clue than me could package
> > this. Cc'ing the Debian Javascript Maintainers as the most likely
> > candidate.
> 
> i'll look at it, thanks for bringing it to attention.

Ping?
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-javascript-devel@lists.alioth.debian.org:
Bug#485975; Package wnpp. (Thu, 09 Jul 2009 11:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-javascript-devel@lists.alioth.debian.org. (Thu, 09 Jul 2009 11:24:05 GMT) Full text and rfc822 format available.

Message #26 received at 485975@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 485975@bugs.debian.org
Cc: pkg-javascript-devel@lists.alioth.debian.org
Subject: Re: Bug#485975: RFP: qooxdoo -- Ajax application framework
Date: Thu, 9 Jul 2009 14:20:29 +0300
owner 485975 !
thanks

On Thu, Jun 12, 2008 at 10:04:57PM +0200, Daniel Baumann wrote:
> retitle 485975 ITP: qooxdoo -- Ajax application framework
> owner 485975 pkg-javascript-devel@lists.alioth.debian.org
> thanks
> 
> Niko Tyni wrote:
> > I'd be glad if somebody with more JavaScript clue than me could package
> > this. Cc'ing the Debian Javascript Maintainers as the most likely
> > candidate.
> 
> i'll look at it, thanks for bringing it to attention.

I got some work done on this myself during my vacation, so taking over
the ITP.

There are some minor licensing issues to solve, upstream is working on that.

I'll push my packaging somewhere on git.debian.org soon. Comaintainers
are welcome, let me know if you're interested.
-- 
Niko Tyni   ntyni@debian.org




Owner changed from pkg-javascript-devel@lists.alioth.debian.org to Niko Tyni <ntyni@debian.org>. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Thu, 09 Jul 2009 11:24:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#485975; Package wnpp. (Thu, 11 Feb 2010 20:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 11 Feb 2010 20:39:02 GMT) Full text and rfc822 format available.

Message #33 received at 485975@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 485975@bugs.debian.org
Subject: Re: Bug#485975: RFP: qooxdoo -- Ajax application framework
Date: Thu, 11 Feb 2010 22:36:08 +0200
On Thu, Jul 09, 2009 at 02:20:29PM +0300, Niko Tyni wrote:
> > retitle 485975 ITP: qooxdoo -- Ajax application framework

> There are some minor licensing issues to solve, upstream is working on that.

Update: Most of the issues have been fixed since, but there's still one
blocker left and I haven't scanned anything past 0.8.2 for new issues.

I just pinged upstream about the blocker issue.

> I'll push my packaging somewhere on git.debian.org soon. Comaintainers
> are welcome, let me know if you're interested.

I settled with putting the .diff.gz from last summer at

 http://people.debian.org/~ntyni/qooxdoo_0.8.2-1.diff.gz

(This is intended to be applied over qooxdoo-0.8.2-sdk.zip contents
 and only contains the debian/ directory.)

If anybody wants to take over and upgrade to 1.0.1, I'm ecstatic.
Otherwise this is probably going to still take quite a while...
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#485975; Package wnpp. (Sun, 17 Oct 2010 19:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 17 Oct 2010 19:54:03 GMT) Full text and rfc822 format available.

Message #38 received at 485975@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 485975@bugs.debian.org
Subject: Re: Bug#485975: RFP: qooxdoo -- Ajax application framework
Date: Sun, 17 Oct 2010 22:51:13 +0300
retitle 485975 RFP: qooxdoo -- Ajax application framework
thanks

On Thu, Feb 11, 2010 at 10:36:08PM +0200, Niko Tyni wrote:
> On Thu, Jul 09, 2009 at 02:20:29PM +0300, Niko Tyni wrote:

> > There are some minor licensing issues to solve, upstream is working on that.
> 
> Update: Most of the issues have been fixed since, but there's still one
> blocker left and I haven't scanned anything past 0.8.2 for new issues.
> 
> I just pinged upstream about the blocker issue.

The blocker still hasn't been resolved AFAIK and my interests have since
shifted elsewhere. Retitling back to RFP.

If somebody picks this up, I'll gladly discuss the subject further.
-- 
Niko Tyni   ntyni@debian.org




Changed Bug title to 'RFP: qooxdoo -- Ajax application framework' from 'ITP: qooxdoo -- Ajax application framework' Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Sun, 17 Oct 2010 19:54:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Niko Tyni <ntyni@debian.org>:
Bug#485975; Package wnpp. (Fri, 03 Dec 2010 17:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to The Anarcat <anarcat@koumbit.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Niko Tyni <ntyni@debian.org>. (Fri, 03 Dec 2010 17:51:03 GMT) Full text and rfc822 format available.

Message #45 received at 485975@bugs.debian.org (full text, mbox):

From: The Anarcat <anarcat@koumbit.org>
To: 485975@bugs.debian.org
Cc: ntyni@debian.org
Subject: details of the qooxdoo licensing problems?
Date: Fri, 3 Dec 2010 12:38:58 -0500
[Message part 1 (text/plain, inline)]
Hi,

Can you detail what licensing problems you found with the library?

-- 
Antoine Beaupré
Réseau Koumbit Networks
+1.514.387.6262
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#485975; Package wnpp. (Tue, 07 Dec 2010 09:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 07 Dec 2010 09:57:03 GMT) Full text and rfc822 format available.

Message #50 received at 485975@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: The Anarcat <anarcat@koumbit.org>, 485975@bugs.debian.org
Subject: Re: Bug#485975: details of the qooxdoo licensing problems?
Date: Tue, 7 Dec 2010 11:55:26 +0200
On Fri, Dec 03, 2010 at 12:38:58PM -0500, The Anarcat wrote:
 
> Can you detail what licensing problems you found with the library?

You might want to read debian/copyright inside
  http://people.debian.org/~ntyni/qooxdoo_0.8.2-1.diff.gz

but the blocker for me was that
 framework/source/resource/qx/icon/Oxygen/
was licensed under the LGPL but the source .svg files were not included.

(The intentions of the copyright holders of the Oxygen library are made
 quite clear in
  http://techbase.kde.org/Projects/Oxygen/Licensing )

Other than that, there was some code with the 'Good, not Evil' license
that's problematic. It's a recurring topic on debian-legal, see for
example

 http://lists.debian.org/debian-legal/2010/03/msg00064.html

It was also not clear which version of the LGPL applied to the whole
of qooxdoo.

I think the rest were trivial things like failing to reproduce copyright
notices for MIT licenses and failing to include the whole text of the
BSDish licenses. No other blockers IIRC.

Qooxdoo upstream is aware of these; the last I heard of them was in
March 2010 when Andreas Ecker said they are on their TODO list. I haven't
looked at their code repository recently for fixes and I haven't scanned
anything newer than 0.8.2 for new problems.

Thanks for your interest,
-- 
Niko Tyni   ntyni@debian.org




Removed indication that bug 485975 blocks 485977 Request was from Antoine Beaupré <anarcat@debian.org> to control@bugs.debian.org. (Mon, 07 Nov 2011 04:12:03 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Niko Tyni <ntyni@debian.org>. Request was from Raphael Geissert <geissert@debian.org> to control@bugs.debian.org. (Mon, 09 Jan 2012 21:28:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:16:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.